package _VisualDVM.Visual.Menus;
import Common.MainModule_;
import Common.Utils.Utils_;
import Common.Visual.Fonts.VisualiserFonts;
import _VisualDVM.Global;

import javax.swing.*;
public class PropertiesSubmenu extends JMenu {
    public PropertiesSubmenu(String title, String icon, String... settings) {
        super(title);
        if (icon != null)
            setIcon(Utils_.getIcon(icon));
        setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.Menu));
        for (String name : settings) {
            Global.properties.addFlagMenuItem(this, name);
        }
    }
}
